<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>事件-自定义的滚动条-控制文字</title>
	<style type="text/css">
		.div1{
			position:absolute;
			width: 600px;
			height: 25px;
			border:1px solid #000;
		}
		#div2{
			position: absolute;
			width: 50px;
			height:20px;
			background: red;
			border: 1px solid red;
		}
		#div3{
			position: absolute;
			top:100px;
			width: 500px;
			height: 200px;
			border: 1px solid red;
			overflow: hidden;
		}
		#div4{
			position: absolute;
			top:0px;
			left:0px;
		}
	</style>
	<script type="text/javascript">		 
		window.onload=function(){
			var disX=0;
			var disY=0;
			var oDiv1=document.getElementById('div1');
			var oDiv=document.getElementById('div2');
			var oDiv2=document.getElementById('div3');
			var oDiv4=document.getElementById('div4');
				oDiv.onmousedown=function(ev){
					var oEvent=ev||event;
					disX=oEvent.clientX-oDiv.offsetLeft;		
					document.onmousemove=function(ev){
					var oEvent=ev||event;			
					var l=oEvent.clientX-disX;
					var r=oDiv1.offsetWidth-oDiv.offsetWidth;
					if(l<0){
						l=0;
					}else if(l>r){
						l=r;
					}
					oDiv.style.left=l+'px';
					var scale=l/r;
					document.title=scale;
					oDiv4.style.top=-scale*(oDiv4.offsetHeight-oDiv2.offsetHeight)+'px';
					};
					document.onmouseup=function(){
						document.onmousemove=null;
						document.onmouseup=null;
					};
					return false;
				};	
		};
	</script>
</head>
<body>
	<div id="box">
		<div class="div1" id="div1">
			<div id="div2"></div>
		</div>
		<div id="div3">
			<div id="div4">
			JavaScript是一种基于对象（object）和事件驱动（event driven）并具有安全性能的脚本语言，JavaScript是嵌入在HTML的脚本语言。
特点：
1、简单性。
2、动态性。
3、基于对象的语言。
4、安全性。
5、跨平台性。
6、它对用户请求的响应采用事件驱动的方式进行的。
7、它能运用已经创建的对象，但不能派生新的对象。
8、它不允许访问本地的硬盘，也不能将数据存入服务器是上，更不允许对网络文档进行修改和删除，而只能通过浏览器实现信息浏览和动态交互。
JavaScript包含俩种区分程序的方式：
用户端程序。
服务端程序。
JavaScript在服务端：使用<!-- <server></server> -->标签。
JavaScript脚本代码：必须包含是在<!-- <script></script> -->标签中。
ECMAScript的实现条件
1、支持ECMA-262描述的所有类型、值、对象、属性、函数以及程序语法和语句。
2、支持Unicode字符标准。
兼容实现扩展
1、添加ECMA-262没有描述的更多类型值、对象、属性、和函数。
2、支持ECMA-262没有定义的程序和正则表达式语法（即可以修改和扩展内置的正则表达式语法）。
Web浏览器对ECAMScript的支持
		</div>
		</div>
	</div>
</body>
</html>